# RGB YouTube Progress Bar

## Firefox extension that makes the YouTube progress bar of videos and advertisements cycle through colors. 

[![Extension avalible from Firefox add-ons](res/getfirefox.svg)](https://addons.mozilla.org/addon/rgb-youtube-progress-bar/)

### Features

The following video sharing/hosting websites are also supported:

- YouTube
- Odysee
- Vimeo
- Invidious instances
- Zoom
- Twitch
- Reddit

### Development

To setup a development environment, run `pnpm install` to download the needed build dependencies. Run `pnpm web-ext run` to test and debug code. Run `web-ext build --overwrite-dest` to build extension.


Note: The only offically supported browser is Firefox but Firefox-based browsers should work as well. The extension has been tested on Brave browser (Chromium-based), it works with warnings. 

[![Color wheel pallet spectrum Different color circle Vectors by Vecteezy](./icons/icon-96.jpg) Color wheel pallet spectrum Different color circle Vectors by Vecteezy](https://www.vecteezy.com/vector-art/3068036-color-wheel-pallet-spectrum-different-color-circle)
